View Issue Details

IDProjectCategoryView StatusLast Update
0015045ScribusTablespublic2017-12-20 20:58
ReporterRobby A Assigned Tojghali  
PrioritynormalSeveritymajorReproducibilitysometimes
Status closedResolutionfixed 
Platform64 bitOSWindows 10 ProOS Version1703
Product Version1.5.3 
Target Version1.5.4Fixed in Version1.5.4.svn 
Summary0015045: Editing table cells is not reliable
DescriptionA bit of a nightmare trying to edit some cell contents. I'd make the changes, save and export to .pdf to find the edited cells in the .pdf incomplete or even empty. Reverting to Scribus I'd usually find it now with the same errors, but sticking the cursor in the cell and hitting backspace (sometimes) or a number (sometimes) would reveal the correct contents, but it still wouldn't save properly as .pdf, giving the same problem of missing/empty edited cells. Sometimes even just scrolling the page out of sight and then back again would lose the edits.
Steps To ReproduceCreate table with contents, save, close, open and edit cell contents. Export as .pdf
Additional InformationSorry if this is a familiar issue, I couldn't find any earlier report of it.
I ended up deleting the table and re-building it. It will be great when it's possible to format a whole table or multiple cells together instead of 60 cells separately!
This its the first time I've used the new form tables feature. It's certainly easier to use than the old one.
I think the whole Scribus project is brilliant and I thank you all for your excellent work on it.
I've attached the collection as it has ended up with the rebuilt table. The table I had trouble with is the timetable on page 11. Sorry I can't let you have the version that caused all the bother - it's overwritten.
TagsNo tags attached.
PatchNo

Activities

jghali

2017-11-20 16:06

administrator   ~0044642

Please provide sample file.

Robby A

2017-11-20 16:19

reporter  

The Link December 2017.sla (690,956 bytes)

Robby A

2017-11-21 12:39

reporter   ~0044644

In case it helps here's a version of the document with the original table in it. The edits were to transpose the 2nd and 3rd columns, add day headings to the time columns and, finally which revealed the problem, fill the two empty time cells. The table is the one with 10 rows and 6 columns on page 11.
I hope this will lead to a satisfactory cure of the problem!
Best wishes,
Robert

The Link December 2017_autosave_18_11_2017_15_54.sla (666,748 bytes)

jghali

2017-11-21 23:51

administrator   ~0044646

Thanks, I managed to reproduce the issue. I'm in the process of solving it.

jghali

2017-11-23 23:00

administrator   ~0044654

>> I hope that v1.5.4 comes on stream for use soon

1.5.4 will probably not be released before a few months. However if you need some fixes, I regularly post new snapshots to sourceforge:
https://sourceforge.net/projects/scribus/files/scribus-svn/1.5.4.svn/

Windows snapshots are numbered this way: YYMMDD where YYMMDD represents the build date. The build numbered 171122 has the fix for this issue. However do not bother downloading this one: build 171123 has also the fix for 0015047 which is pretty interesting to have.

Snapshots can be installed side-by-side with a regular release. The installer for those snapshots do not write to Windows registry except for uninstall data. So snapshots will not interfere with how regular release works and noticeably won't modify file associations.

Issue History

Date Modified Username Field Change
2017-11-20 15:57 Robby A New Issue
2017-11-20 16:06 jghali Note Added: 0044642
2017-11-20 16:19 Robby A File Added: The Link December 2017.sla
2017-11-21 12:39 Robby A File Added: The Link December 2017_autosave_18_11_2017_15_54.sla
2017-11-21 12:39 Robby A Note Added: 0044644
2017-11-21 16:55 jghali Target Version => 1.5.4
2017-11-21 22:41 jghali Assigned To => jghali
2017-11-21 22:41 jghali Status new => assigned
2017-11-21 23:51 jghali Note Added: 0044646
2017-11-22 17:40 jghali Summary Edit table cells not reliable => Editing table cells is not reliable
2017-11-22 18:00 jghali Status assigned => resolved
2017-11-22 18:00 jghali Resolution open => fixed
2017-11-22 18:00 jghali Fixed in Version => 1.5.4.svn
2017-11-23 23:00 jghali Note Added: 0044654
2017-12-20 20:58 cbradney Status resolved => closed